<?php
	// LiteDoodle version 0.1 (C) 2008 V.Harishankar
	// Lightweight Comics/Images Blogging system

	// Functions file

	if (! defined ('IN_MAIN'))
		die;
		
	require_once ('config.php');

	// Function to read a comic description
	function get_comic_description ($comic_id)
	{
		$desc_file = COMICS_DIR . $comic_id . ".desc";
		(file_exists ($desc_file)) ? $res = file_get_contents ($desc_file) : $res = '';
		return $res;
	}
	
	// function to post a comment for a particular cartoon
	function write_comment ($f, $name, $email, $website, $comment)
	{
		$time = time ();
		$ip_add = $_SERVER['REMOTE_ADDR'];
		
		fwrite ($f, $name);
		fwrite ($f, "\n*^*^*\n");
		fwrite ($f, $email);
		fwrite ($f, "\n*^*^*\n");
		fwrite ($f, $website);
		fwrite ($f, "\n*^*^*\n");
		fwrite ($f, $comment);
		fwrite ($f, "\n*^*^*\n");
		fwrite ($f, $time);
		fwrite ($f, "\n*^*^*\n");
		fwrite ($f, $ip_add);
		fwrite ($f, "\n\n========\n\n");
	}

	// Function to get all the comments for a particular comic
	function read_comments ($comic_id)
	{
		$comments_file = COMMENTS_DIR . $comic_id . ".txt";

		if (! file_exists ($comments_file))
			return array ();
		
		$comments_all = file_get_contents ($comments_file);

		$comments = explode ("\n\n========\n\n", $comments_all);

		$finished = array ();
		$i = 0;

		foreach ($comments as $comment)
		{
			$items = explode ("\n*^*^*\n", $comment);
			if (strlen ($items[0]) > 0)
			{
				$finished[$i]['email'] = stripslashes ($items[1]);
				if (strlen ($items[2]) == 0)
					$finished[$i]['name'] = stripslashes ($items[0]);
				else
					$finished[$i]['name'] = '<a rel="nofollow" href="' . stripslashes($items[2]) . '">' . stripslashes($items[0]) . '</a>';
					
				$finished[$i]['comment'] = stripslashes($items[3]);
				$finished[$i]['time'] = intval ($items[4]);
				$finished[$i]['ip_add'] = $items[5];
				$i ++;
			}
		}
		
		return $finished;
	}

	// Function to get the list of comic images
	function get_comics_list ()
	{
		$comic_dir = opendir (COMICS_DIR);

		$files = array ();
				
		while (false !== ($filename = readdir ($comic_dir)))
		{
			// If file is not a directory
			if (! is_dir ($filename))
			{			
				// If the file type is an image, add it to the list
				$ext = substr ($filename, -4);
				if (strcasecmp ($ext, ".jpg") == 0 || strcasecmp ($ext, ".png") == 0 || strcasecmp ($ext, ".gif") == 0 )
				{
					$i = $filename;
					$files[$i]['mtime'] = filemtime (COMICS_DIR . $filename);
					$files[$i]['name'] = $filename;
					$title = str_replace ('-', ' ', $filename);
					$title = strtok ($title, '.');
					$title = ucwords ($title);
					$files[$i]['title'] = $title;
				}
			}
		}
		// sort the array by time
		array_multisort ($files);
		
		return $files;
	}
?>